#pragma once

#include "BaseForm.h"

using namespace System;
using namespace System::ComponentModel;
using namespace System::Collections;
using namespace System::Windows::Forms;
using namespace System::Data;
using namespace System::Drawing;


namespace ObjDataEdit
{
	/// <summary> 
	/// Summary for RuneForm
	///
	/// WARNING: If you change the name of this class, you will need to change the 
	///          'Resource File Name' property for the managed resource compiler tool 
	///          associated with all .resx files this class depends on.  Otherwise,
	///          the designers will not be able to interact properly with localized
	///          resources associated with this form.
	/// </summary>
#ifndef _Just_Show_DotNet_Form_
    public __gc class RuneForm : public System::Windows::Forms::Form
#else 
    public __gc class RuneForm : public BaseForm
#endif	
	{
	public: 
        RuneForm( char* FormName , char* DBName , char* OutputFile  , bool IsReadOnly , SearchFormTypeENUM FormType ) :  BaseForm( FormName , DBName , OutputFile  , IsReadOnly , FormType )
        {
            InitializeComponent();
            this->panel4_Base->Controls->Add(this->panel1);
			_IsValueChange = false;
		}  
        
	protected: 
		void Dispose(Boolean disposing)
		{
			if (disposing && components)
			{
				components->Dispose();
			}
			__super::Dispose(disposing);
		}
    private: System::Windows::Forms::Panel *  panel1;
    private: System::Windows::Forms::ComboBox *  comboBox3;
    private: System::Windows::Forms::Label *  label16;
    private: System::Windows::Forms::ComboBox *  comboBox6;
    private: System::Windows::Forms::Label *  label1;
    private: System::Windows::Forms::ComboBox *  comboBox1;
    private: System::Windows::Forms::Label *  label6;
	private: System::Windows::Forms::ComboBox*  CB_AbilityList1;
	private: System::Windows::Forms::GroupBox *  groupBox1;
	private: System::Windows::Forms::ComboBox*  CB_AbilityList2;
	private: System::Windows::Forms::ComboBox*  CB_AbilityList3;
	private: System::Windows::Forms::ComboBox*  CB_AbilityList4;
	private: System::Windows::Forms::ComboBox*  CB_AbilityList5;
	private: System::Windows::Forms::NumericUpDown *  numericUpDown32;
	private: System::Windows::Forms::NumericUpDown *  numericUpDown33;
	private: System::Windows::Forms::NumericUpDown *  numericUpDown34;
	private: System::Windows::Forms::NumericUpDown *  numericUpDown35;
	private: System::Windows::Forms::NumericUpDown *  numericUpDown36;
	private: System::Windows::Forms::ComboBox*  comboBox9;
	private: System::Windows::Forms::Label*  label2;
	private: System::Windows::Forms::ComboBox*  comboBox10;
	private: System::Windows::Forms::Label*  label3;


	private: System::Windows::Forms::GroupBox*  groupBox3;
	private: System::Windows::Forms::Label*  label22;
	private: System::Windows::Forms::TextBox*  textBox25;
	private: System::Windows::Forms::Label*  label21;
	private: System::Windows::Forms::TextBox*  textBox23;
	private: System::Windows::Forms::Label*  LB_EqTypeOnAttackMagicID;
	private: System::Windows::Forms::Label*  label19;
	private: System::Windows::Forms::TextBox*  textBox9;
	private: System::Windows::Forms::GroupBox*  groupBox9;
	private: System::Windows::Forms::TextBox*  TB_StandardCost;
	private: System::Windows::Forms::CheckBox*  CB_StandardCost;
	private: System::Windows::Forms::TextBox*  TB_ReferenceLv;
	private: System::Windows::Forms::Label*  label4;
	private: System::Windows::Forms::ComboBox*  CB_PricesType;

	private: System::Windows::Forms::TextBox*  TB_Cost;

	private: System::Windows::Forms::GroupBox*  groupBox4;
	private: System::Windows::Forms::GroupBox*  groupBox5;
	private: System::Windows::Forms::GroupBox*  groupBox7;
	private: System::Windows::Forms::CheckedListBox*  checkedListBox4;
	private: System::Windows::Forms::GroupBox*  groupBox6;
	private: System::Windows::Forms::ComboBox*  CB_WeaponPos;
	private: System::Windows::Forms::Button*  button2;
	private: System::Windows::Forms::ComboBox*  CB_SetWeaponType;
	private: System::Windows::Forms::CheckedListBox*  CLB_WeaponType;
	private: System::Windows::Forms::GroupBox*  groupBox8;
	private: System::Windows::Forms::Button*  button1;
	private: System::Windows::Forms::ComboBox*  CB_SetArmorType;
	private: System::Windows::Forms::CheckedListBox*  CLB_ArmorPos;
	private: System::Windows::Forms::CheckedListBox*  CLB_ArmorType;
	private: System::Windows::Forms::Label*  LB_CardName;
	private: System::Windows::Forms::TextBox*  textBox1;
	private: System::Windows::Forms::Label*  label23;
	private: System::Windows::Forms::TextBox*  textBox2;
	private: System::Windows::Forms::Label*  label5;
	private: System::Windows::Forms::TabControl*  tabControl1;
	private: System::Windows::Forms::TabPage*  tabPage1;
	private: System::Windows::Forms::TabPage*  tabPage2;
	private: System::Windows::Forms::TextBox*  textBox7;
	private: System::Windows::Forms::TextBox*  textBox6;
	private: System::Windows::Forms::TextBox*  textBox5;
	private: System::Windows::Forms::TextBox*  textBox4;
	private: System::Windows::Forms::TextBox*  textBox3;
	private: System::Windows::Forms::NumericUpDown*  NUD_Ability1;
	private: System::Windows::Forms::NumericUpDown*  NUD_Ability2;
	private: System::Windows::Forms::NumericUpDown*  NUD_Ability5;



	private: System::Windows::Forms::NumericUpDown*  NUD_Ability3;
	private: System::Windows::Forms::NumericUpDown*  NUD_Ability4;


	private: System::Windows::Forms::ComboBox*  comboBox8;
	private: System::Windows::Forms::ComboBox*  comboBox7;
	private: System::Windows::Forms::ComboBox*  comboBox5;
	private: System::Windows::Forms::ComboBox*  comboBox4;
	private: System::Windows::Forms::ComboBox*  comboBox2;
	private: System::Windows::Forms::ComboBox*  comboBox33;
	private: System::Windows::Forms::Label*  label55;
private: System::Windows::Forms::ComboBox*  comboBox11;
private: System::Windows::Forms::Label*  label7;
private: System::Windows::Forms::ComboBox*  CB_GroupType;

private: System::Windows::Forms::Label*  label8;
private: System::Windows::Forms::Label*  label26;
private: System::Windows::Forms::TextBox*  textBox13;
private: System::Windows::Forms::TextBox*  TB_SpecialMoneyCost;
private: System::Windows::Forms::TextBox*  textBox8;
private: System::Windows::Forms::Label*  label9;








	private:
		/// <summary>
		/// Required designer variable.
		/// </summary>
		System::ComponentModel::Container* components;

		/// <summary>
		/// Required method for Designer support - do not modify
		/// the contents of this method with the code editor.
		/// </summary>
		void InitializeComponent(void)
		{
			this->panel1 = (new System::Windows::Forms::Panel());
			this->textBox8 = (new System::Windows::Forms::TextBox());
			this->label9 = (new System::Windows::Forms::Label());
			this->groupBox5 = (new System::Windows::Forms::GroupBox());
			this->groupBox7 = (new System::Windows::Forms::GroupBox());
			this->checkedListBox4 = (new System::Windows::Forms::CheckedListBox());
			this->groupBox6 = (new System::Windows::Forms::GroupBox());
			this->CB_WeaponPos = (new System::Windows::Forms::ComboBox());
			this->button2 = (new System::Windows::Forms::Button());
			this->CB_SetWeaponType = (new System::Windows::Forms::ComboBox());
			this->CLB_WeaponType = (new System::Windows::Forms::CheckedListBox());
			this->groupBox8 = (new System::Windows::Forms::GroupBox());
			this->button1 = (new System::Windows::Forms::Button());
			this->CB_SetArmorType = (new System::Windows::Forms::ComboBox());
			this->CLB_ArmorPos = (new System::Windows::Forms::CheckedListBox());
			this->CLB_ArmorType = (new System::Windows::Forms::CheckedListBox());
			this->groupBox1 = (new System::Windows::Forms::GroupBox());
			this->tabControl1 = (new System::Windows::Forms::TabControl());
			this->tabPage1 = (new System::Windows::Forms::TabPage());
			this->numericUpDown32 = (new System::Windows::Forms::NumericUpDown());
			this->numericUpDown33 = (new System::Windows::Forms::NumericUpDown());
			this->numericUpDown36 = (new System::Windows::Forms::NumericUpDown());
			this->numericUpDown34 = (new System::Windows::Forms::NumericUpDown());
			this->numericUpDown35 = (new System::Windows::Forms::NumericUpDown());
			this->tabPage2 = (new System::Windows::Forms::TabPage());
			this->comboBox8 = (new System::Windows::Forms::ComboBox());
			this->comboBox7 = (new System::Windows::Forms::ComboBox());
			this->comboBox5 = (new System::Windows::Forms::ComboBox());
			this->comboBox4 = (new System::Windows::Forms::ComboBox());
			this->comboBox2 = (new System::Windows::Forms::ComboBox());
			this->textBox7 = (new System::Windows::Forms::TextBox());
			this->textBox6 = (new System::Windows::Forms::TextBox());
			this->textBox5 = (new System::Windows::Forms::TextBox());
			this->textBox4 = (new System::Windows::Forms::TextBox());
			this->textBox3 = (new System::Windows::Forms::TextBox());
			this->NUD_Ability1 = (new System::Windows::Forms::NumericUpDown());
			this->NUD_Ability2 = (new System::Windows::Forms::NumericUpDown());
			this->NUD_Ability5 = (new System::Windows::Forms::NumericUpDown());
			this->NUD_Ability3 = (new System::Windows::Forms::NumericUpDown());
			this->NUD_Ability4 = (new System::Windows::Forms::NumericUpDown());
			this->textBox2 = (new System::Windows::Forms::TextBox());
			this->label5 = (new System::Windows::Forms::Label());
			this->CB_AbilityList1 = (new System::Windows::Forms::ComboBox());
			this->label22 = (new System::Windows::Forms::Label());
			this->CB_AbilityList2 = (new System::Windows::Forms::ComboBox());
			this->textBox25 = (new System::Windows::Forms::TextBox());
			this->label21 = (new System::Windows::Forms::Label());
			this->CB_AbilityList3 = (new System::Windows::Forms::ComboBox());
			this->textBox23 = (new System::Windows::Forms::TextBox());
			this->LB_EqTypeOnAttackMagicID = (new System::Windows::Forms::Label());
			this->CB_AbilityList4 = (new System::Windows::Forms::ComboBox());
			this->label19 = (new System::Windows::Forms::Label());
			this->textBox9 = (new System::Windows::Forms::TextBox());
			this->CB_AbilityList5 = (new System::Windows::Forms::ComboBox());
			this->groupBox4 = (new System::Windows::Forms::GroupBox());
			this->comboBox33 = (new System::Windows::Forms::ComboBox());
			this->label55 = (new System::Windows::Forms::Label());
			this->comboBox10 = (new System::Windows::Forms::ComboBox());
			this->label1 = (new System::Windows::Forms::Label());
			this->comboBox6 = (new System::Windows::Forms::ComboBox());
			this->label3 = (new System::Windows::Forms::Label());
			this->groupBox9 = (new System::Windows::Forms::GroupBox());
			this->TB_SpecialMoneyCost = (new System::Windows::Forms::TextBox());
			this->TB_StandardCost = (new System::Windows::Forms::TextBox());
			this->CB_StandardCost = (new System::Windows::Forms::CheckBox());
			this->TB_ReferenceLv = (new System::Windows::Forms::TextBox());
			this->label4 = (new System::Windows::Forms::Label());
			this->CB_PricesType = (new System::Windows::Forms::ComboBox());
			this->TB_Cost = (new System::Windows::Forms::TextBox());
			this->groupBox3 = (new System::Windows::Forms::GroupBox());
			this->label26 = (new System::Windows::Forms::Label());
			this->textBox13 = (new System::Windows::Forms::TextBox());
			this->CB_GroupType = (new System::Windows::Forms::ComboBox());
			this->label8 = (new System::Windows::Forms::Label());
			this->comboBox11 = (new System::Windows::Forms::ComboBox());
			this->label7 = (new System::Windows::Forms::Label());
			this->LB_CardName = (new System::Windows::Forms::Label());
			this->textBox1 = (new System::Windows::Forms::TextBox());
			this->label23 = (new System::Windows::Forms::Label());
			this->label6 = (new System::Windows::Forms::Label());
			this->label16 = (new System::Windows::Forms::Label());
			this->comboBox3 = (new System::Windows::Forms::ComboBox());
			this->comboBox9 = (new System::Windows::Forms::ComboBox());
			this->label2 = (new System::Windows::Forms::Label());
			this->comboBox1 = (new System::Windows::Forms::ComboBox());
			this->panel1->SuspendLayout();
			this->groupBox5->SuspendLayout();
			this->groupBox7->SuspendLayout();
			this->groupBox6->SuspendLayout();
			this->groupBox8->SuspendLayout();
			this->groupBox1->SuspendLayout();
			this->tabControl1->SuspendLayout();
			this->tabPage1->SuspendLayout();
			(__try_cast<System::ComponentModel::ISupportInitialize*  >(this->numericUpDown32))->BeginInit();
			(__try_cast<System::ComponentModel::ISupportInitialize*  >(this->numericUpDown33))->BeginInit();
			(__try_cast<System::ComponentModel::ISupportInitialize*  >(this->numericUpDown36))->BeginInit();
			(__try_cast<System::ComponentModel::ISupportInitialize*  >(this->numericUpDown34))->BeginInit();
			(__try_cast<System::ComponentModel::ISupportInitialize*  >(this->numericUpDown35))->BeginInit();
			this->tabPage2->SuspendLayout();
			(__try_cast<System::ComponentModel::ISupportInitialize*  >(this->NUD_Ability1))->BeginInit();
			(__try_cast<System::ComponentModel::ISupportInitialize*  >(this->NUD_Ability2))->BeginInit();
			(__try_cast<System::ComponentModel::ISupportInitialize*  >(this->NUD_Ability5))->BeginInit();
			(__try_cast<System::ComponentModel::ISupportInitialize*  >(this->NUD_Ability3))->BeginInit();
			(__try_cast<System::ComponentModel::ISupportInitialize*  >(this->NUD_Ability4))->BeginInit();
			this->groupBox4->SuspendLayout();
			this->groupBox9->SuspendLayout();
			this->groupBox3->SuspendLayout();
			this->SuspendLayout();
			// 
			// panel1
			// 
			this->panel1->AutoScroll = true;
			this->panel1->Controls->Add(this->textBox8);
			this->panel1->Controls->Add(this->label9);
			this->panel1->Controls->Add(this->groupBox5);
			this->panel1->Controls->Add(this->groupBox1);
			this->panel1->Controls->Add(this->groupBox4);
			this->panel1->Controls->Add(this->groupBox9);
			this->panel1->Controls->Add(this->groupBox3);
			this->panel1->Location = System::Drawing::Point(0, 0);
			this->panel1->Name = S"panel1";
			this->panel1->Size = System::Drawing::Size(811, 567);
			this->panel1->TabIndex = 0;
			// 
			// textBox8
			// 
			this->textBox8->Location = System::Drawing::Point(298, 238);
			this->textBox8->Name = S"textBox8";
			this->textBox8->Size = System::Drawing::Size(61, 22);
			this->textBox8->TabIndex = 140;
			this->textBox8->Tag = S"DrawOutCost";
			this->textBox8->Text = S"0";
			this->textBox8->TextChanged += new System::EventHandler(this, &RuneForm::GetIntValue_TextChanged);
			// 
			// label9
			// 
			this->label9->AutoSize = true;
			this->label9->Font = (new System::Drawing::Font(S"PMingLiU", 9, System::Drawing::FontStyle::Bold, System::Drawing::GraphicsUnit::Point, 
				(System::Byte)136));
			this->label9->ForeColor = System::Drawing::SystemColors::ActiveCaption;
			this->label9->Location = System::Drawing::Point(209, 242);
			this->label9->Name = S"label9";
			this->label9->Size = System::Drawing::Size(83, 12);
			this->label9->TabIndex = 139;
			this->label9->Text = S"符文取出價錢";
			// 
			// groupBox5
			// 
			this->groupBox5->Controls->Add(this->groupBox7);
			this->groupBox5->Controls->Add(this->groupBox6);
			this->groupBox5->Controls->Add(this->groupBox8);
			this->groupBox5->Location = System::Drawing::Point(423, 3);
			this->groupBox5->Name = S"groupBox5";
			this->groupBox5->Size = System::Drawing::Size(374, 476);
			this->groupBox5->TabIndex = 138;
			this->groupBox5->TabStop = false;
			this->groupBox5->Text = S"可附加部位";
			// 
			// groupBox7
			// 
			this->groupBox7->Controls->Add(this->checkedListBox4);
			this->groupBox7->Location = System::Drawing::Point(250, 14);
			this->groupBox7->Name = S"groupBox7";
			this->groupBox7->Size = System::Drawing::Size(116, 382);
			this->groupBox7->TabIndex = 132;
			this->groupBox7->TabStop = false;
			this->groupBox7->Text = S"其他";
			// 
			// checkedListBox4
			// 
			this->checkedListBox4->CheckOnClick = true;
			System::Object* __mcTemp__1[] = new System::Object*[7];
			__mcTemp__1[0] = S"背部";
			__mcTemp__1[1] = S"項鍊";
			__mcTemp__1[2] = S"戒指";
			__mcTemp__1[3] = S"耳飾";
			__mcTemp__1[4] = S"盾";
			__mcTemp__1[5] = S"法器";
			__mcTemp__1[6] = S"裝飾品";
			this->checkedListBox4->Items->AddRange(__mcTemp__1);
			this->checkedListBox4->Location = System::Drawing::Point(6, 12);
			this->checkedListBox4->Name = S"checkedListBox4";
			this->checkedListBox4->Size = System::Drawing::Size(96, 123);
			this->checkedListBox4->TabIndex = 131;
			this->checkedListBox4->Tag = S"AddOnPos_Other";
			this->checkedListBox4->SelectedValueChanged += new System::EventHandler(this, &RuneForm::ChangeFlag);
			// 
			// groupBox6
			// 
			this->groupBox6->Controls->Add(this->CB_WeaponPos);
			this->groupBox6->Controls->Add(this->button2);
			this->groupBox6->Controls->Add(this->CB_SetWeaponType);
			this->groupBox6->Controls->Add(this->CLB_WeaponType);
			this->groupBox6->Location = System::Drawing::Point(128, 14);
			this->groupBox6->Name = S"groupBox6";
			this->groupBox6->Size = System::Drawing::Size(116, 382);
			this->groupBox6->TabIndex = 131;
			this->groupBox6->TabStop = false;
			this->groupBox6->Text = S"武器";
			// 
			// CB_WeaponPos
			// 
			this->CB_WeaponPos->DropDownStyle = System::Windows::Forms::ComboBoxStyle::DropDownList;
			this->CB_WeaponPos->ItemHeight = 12;
			System::Object* __mcTemp__2[] = new System::Object*[3];
			__mcTemp__2[0] = S"部位 無限制";
			__mcTemp__2[1] = S"部位 主手限定";
			__mcTemp__2[2] = S"部位 副手限定";
			this->CB_WeaponPos->Items->AddRange(__mcTemp__2);
			this->CB_WeaponPos->Location = System::Drawing::Point(6, 260);
			this->CB_WeaponPos->Name = S"CB_WeaponPos";
			this->CB_WeaponPos->Size = System::Drawing::Size(104, 20);
			this->CB_WeaponPos->TabIndex = 135;
			this->CB_WeaponPos->Tag = S"AddOnPos_WeaponPos";
			this->CB_WeaponPos->SelectedIndexChanged += new System::EventHandler(this, &RuneForm::GetIndex_SelectedIndexChanged);
			// 
			// button2
			// 
			this->button2->Location = System::Drawing::Point(6, 353);
			this->button2->Name = S"button2";
			this->button2->Size = System::Drawing::Size(104, 23);
			this->button2->TabIndex = 134;
			this->button2->Text = S"設定";
			this->button2->UseVisualStyleBackColor = true;
			this->button2->Click += new System::EventHandler(this, &RuneForm::SetWeaponClick);
			// 
			// CB_SetWeaponType
			// 
			this->CB_SetWeaponType->DropDownStyle = System::Windows::Forms::ComboBoxStyle::DropDownList;
			this->CB_SetWeaponType->ItemHeight = 12;
			System::Object* __mcTemp__3[] = new System::Object*[7];
			__mcTemp__3[0] = S"選擇全部";
			__mcTemp__3[1] = S"清除全部";
			__mcTemp__3[2] = S"近戰武器";
			__mcTemp__3[3] = S"遠程武器";
			__mcTemp__3[4] = S"雙手武器";
			__mcTemp__3[5] = S"單手武器";
			__mcTemp__3[6] = S"法系武器";
			this->CB_SetWeaponType->Items->AddRange(__mcTemp__3);
			this->CB_SetWeaponType->Location = System::Drawing::Point(6, 328);
			this->CB_SetWeaponType->Name = S"CB_SetWeaponType";
			this->CB_SetWeaponType->Size = System::Drawing::Size(104, 20);
			this->CB_SetWeaponType->TabIndex = 133;
			this->CB_SetWeaponType->Tag = S"";
			// 
			// CLB_WeaponType
			// 
			this->CLB_WeaponType->CheckOnClick = true;
			System::Object* __mcTemp__4[] = new System::Object*[14];
			__mcTemp__4[0] = S"拳套";
			__mcTemp__4[1] = S"劍";
			__mcTemp__4[2] = S"匕首";
			__mcTemp__4[3] = S"槌棍棒";
			__mcTemp__4[4] = S"權杖";
			__mcTemp__4[5] = S"斧";
			__mcTemp__4[6] = S"雙手斧";
			__mcTemp__4[7] = S"雙手杖";
			__mcTemp__4[8] = S"雙手劍";
			__mcTemp__4[9] = S"雙手槌";
			__mcTemp__4[10] = S"槍(長矛)";
			__mcTemp__4[11] = S"遠程武器 弓";
			__mcTemp__4[12] = S"遠程武器 十字弓";
			__mcTemp__4[13] = S"遠程武器 槍";
			this->CLB_WeaponType->Items->AddRange(__mcTemp__4);
			this->CLB_WeaponType->Location = System::Drawing::Point(6, 12);
			this->CLB_WeaponType->Name = S"CLB_WeaponType";
			this->CLB_WeaponType->Size = System::Drawing::Size(104, 242);
			this->CLB_WeaponType->TabIndex = 131;
			this->CLB_WeaponType->Tag = S"AddOnPos_WeaponType";
			this->CLB_WeaponType->SelectedValueChanged += new System::EventHandler(this, &RuneForm::ChangeFlag);
			// 
			// groupBox8
			// 
			this->groupBox8->Controls->Add(this->button1);
			this->groupBox8->Controls->Add(this->CB_SetArmorType);
			this->groupBox8->Controls->Add(this->CLB_ArmorPos);
			this->groupBox8->Controls->Add(this->CLB_ArmorType);
			this->groupBox8->Location = System::Drawing::Point(6, 14);
			this->groupBox8->Name = S"groupBox8";
			this->groupBox8->Size = System::Drawing::Size(116, 382);
			this->groupBox8->TabIndex = 130;
			this->groupBox8->TabStop = false;
			this->groupBox8->Text = S"防具";
			// 
			// button1
			// 
			this->button1->Location = System::Drawing::Point(6, 353);
			this->button1->Name = S"button1";
			this->button1->Size = System::Drawing::Size(104, 23);
			this->button1->TabIndex = 133;
			this->button1->Text = S"設定";
			this->button1->UseVisualStyleBackColor = true;
			this->button1->Click += new System::EventHandler(this, &RuneForm::SetArmorClick);
			// 
			// CB_SetArmorType
			// 
			this->CB_SetArmorType->DropDownStyle = System::Windows::Forms::ComboBoxStyle::DropDownList;
			this->CB_SetArmorType->ItemHeight = 12;
			System::Object* __mcTemp__5[] = new System::Object*[2];
			__mcTemp__5[0] = S"選擇全部";
			__mcTemp__5[1] = S"清除全部";
			this->CB_SetArmorType->Items->AddRange(__mcTemp__5);
			this->CB_SetArmorType->Location = System::Drawing::Point(6, 328);
			this->CB_SetArmorType->Name = S"CB_SetArmorType";
			this->CB_SetArmorType->Size = System::Drawing::Size(104, 20);
			this->CB_SetArmorType->TabIndex = 132;
			this->CB_SetArmorType->Tag = S"";
			// 
			// CLB_ArmorPos
			// 
			this->CLB_ArmorPos->CheckOnClick = true;
			System::Object* __mcTemp__6[] = new System::Object*[7];
			__mcTemp__6[0] = S"頭";
			__mcTemp__6[1] = S"手套";
			__mcTemp__6[2] = S"鞋子";
			__mcTemp__6[3] = S"上衣";
			__mcTemp__6[4] = S"褲子";
			__mcTemp__6[5] = S"腰帶";
			__mcTemp__6[6] = S"肩甲";
			this->CLB_ArmorPos->Items->AddRange(__mcTemp__6);
			this->CLB_ArmorPos->Location = System::Drawing::Point(6, 12);
			this->CLB_ArmorPos->Name = S"CLB_ArmorPos";
			this->CLB_ArmorPos->Size = System::Drawing::Size(104, 123);
			this->CLB_ArmorPos->TabIndex = 130;
			this->CLB_ArmorPos->Tag = S"AddOnPos_ArmorPos";
			this->CLB_ArmorPos->SelectedValueChanged += new System::EventHandler(this, &RuneForm::ChangeFlag);
			// 
			// CLB_ArmorType
			// 
			this->CLB_ArmorType->CheckOnClick = true;
			System::Object* __mcTemp__7[] = new System::Object*[5];
			__mcTemp__7[0] = S"鎧甲";
			__mcTemp__7[1] = S"鎖甲";
			__mcTemp__7[2] = S"皮甲";
			__mcTemp__7[3] = S"布衣";
			__mcTemp__7[4] = S"法袍";
			this->CLB_ArmorType->Items->AddRange(__mcTemp__7);
			this->CLB_ArmorType->Location = System::Drawing::Point(6, 138);
			this->CLB_ArmorType->Name = S"CLB_ArmorType";
			this->CLB_ArmorType->Size = System::Drawing::Size(104, 89);
			this->CLB_ArmorType->TabIndex = 129;
			this->CLB_ArmorType->Tag = S"AddOnPos_ArmorType";
			this->CLB_ArmorType->SelectedValueChanged += new System::EventHandler(this, &RuneForm::ChangeFlag);
			// 
			// groupBox1
			// 
			this->groupBox1->Controls->Add(this->tabControl1);
			this->groupBox1->Controls->Add(this->textBox2);
			this->groupBox1->Controls->Add(this->label5);
			this->groupBox1->Controls->Add(this->CB_AbilityList1);
			this->groupBox1->Controls->Add(this->label22);
			this->groupBox1->Controls->Add(this->CB_AbilityList2);
			this->groupBox1->Controls->Add(this->textBox25);
			this->groupBox1->Controls->Add(this->label21);
			this->groupBox1->Controls->Add(this->CB_AbilityList3);
			this->groupBox1->Controls->Add(this->textBox23);
			this->groupBox1->Controls->Add(this->LB_EqTypeOnAttackMagicID);
			this->groupBox1->Controls->Add(this->CB_AbilityList4);
			this->groupBox1->Controls->Add(this->label19);
			this->groupBox1->Controls->Add(this->textBox9);
			this->groupBox1->Controls->Add(this->CB_AbilityList5);
			this->groupBox1->Location = System::Drawing::Point(3, 266);
			this->groupBox1->Name = S"groupBox1";
			this->groupBox1->Size = System::Drawing::Size(414, 239);
			this->groupBox1->TabIndex = 129;
			this->groupBox1->TabStop = false;
			this->groupBox1->Text = S"能力";
			// 
			// tabControl1
			// 
			this->tabControl1->Controls->Add(this->tabPage1);
			this->tabControl1->Controls->Add(this->tabPage2);
			this->tabControl1->Location = System::Drawing::Point(235, 26);
			this->tabControl1->Name = S"tabControl1";
			this->tabControl1->SelectedIndex = 0;
			this->tabControl1->Size = System::Drawing::Size(173, 150);
			this->tabControl1->TabIndex = 1;
			this->tabControl1->SelectedIndexChanged += new System::EventHandler(this, &RuneForm::AbilityType_SelectedIndexChange);
			// 
			// tabPage1
			// 
			this->tabPage1->Controls->Add(this->numericUpDown32);
			this->tabPage1->Controls->Add(this->numericUpDown33);
			this->tabPage1->Controls->Add(this->numericUpDown36);
			this->tabPage1->Controls->Add(this->numericUpDown34);
			this->tabPage1->Controls->Add(this->numericUpDown35);
			this->tabPage1->Location = System::Drawing::Point(4, 22);
			this->tabPage1->Name = S"tabPage1";
			this->tabPage1->Padding = System::Windows::Forms::Padding(3);
			this->tabPage1->Size = System::Drawing::Size(165, 124);
			this->tabPage1->TabIndex = 0;
			this->tabPage1->Text = S"一般";
			this->tabPage1->UseVisualStyleBackColor = true;
			// 
			// numericUpDown32
			// 
			this->numericUpDown32->Location = System::Drawing::Point(3, 4);
			System::Int32 __mcTemp__8[] = new System::Int32[4];
			__mcTemp__8[0] = 1000;
			__mcTemp__8[1] = 0;
			__mcTemp__8[2] = 0;
			__mcTemp__8[3] = 0;
			this->numericUpDown32->Maximum = System::Decimal(__mcTemp__8);
			System::Int32 __mcTemp__9[] = new System::Int32[4];
			__mcTemp__9[0] = 1000;
			__mcTemp__9[1] = 0;
			__mcTemp__9[2] = 0;
			__mcTemp__9[3] = System::Int32::MinValue;
			this->numericUpDown32->Minimum = System::Decimal(__mcTemp__9);
			this->numericUpDown32->Name = S"numericUpDown32";
			this->numericUpDown32->Size = System::Drawing::Size(53, 22);
			this->numericUpDown32->TabIndex = 71;
			this->numericUpDown32->Tag = S"EqTypeValue1";
			System::Int32 __mcTemp__10[] = new System::Int32[4];
			__mcTemp__10[0] = 2;
			__mcTemp__10[1] = 0;
			__mcTemp__10[2] = 0;
			__mcTemp__10[3] = 0;
			this->numericUpDown32->Value = System::Decimal(__mcTemp__10);
			this->numericUpDown32->ValueChanged += new System::EventHandler(this, &RuneForm::GetValue_ValueChanged);
			// 
			// numericUpDown33
			// 
			this->numericUpDown33->Location = System::Drawing::Point(3, 28);
			System::Int32 __mcTemp__11[] = new System::Int32[4];
			__mcTemp__11[0] = 1000;
			__mcTemp__11[1] = 0;
			__mcTemp__11[2] = 0;
			__mcTemp__11[3] = 0;
			this->numericUpDown33->Maximum = System::Decimal(__mcTemp__11);
			System::Int32 __mcTemp__12[] = new System::Int32[4];
			__mcTemp__12[0] = 1000;
			__mcTemp__12[1] = 0;
			__mcTemp__12[2] = 0;
			__mcTemp__12[3] = System::Int32::MinValue;
			this->numericUpDown33->Minimum = System::Decimal(__mcTemp__12);
			this->numericUpDown33->Name = S"numericUpDown33";
			this->numericUpDown33->Size = System::Drawing::Size(53, 22);
			this->numericUpDown33->TabIndex = 72;
			this->numericUpDown33->Tag = S"EqTypeValue2";
			System::Int32 __mcTemp__13[] = new System::Int32[4];
			__mcTemp__13[0] = 2;
			__mcTemp__13[1] = 0;
			__mcTemp__13[2] = 0;
			__mcTemp__13[3] = 0;
			this->numericUpDown33->Value = System::Decimal(__mcTemp__13);
			this->numericUpDown33->ValueChanged += new System::EventHandler(this, &RuneForm::GetValue_ValueChanged);
			// 
			// numericUpDown36
			// 
			this->numericUpDown36->Location = System::Drawing::Point(3, 100);
			System::Int32 __mcTemp__14[] = new System::Int32[4];
			__mcTemp__14[0] = 1000;
			__mcTemp__14[1] = 0;
			__mcTemp__14[2] = 0;
			__mcTemp__14[3] = 0;
			this->numericUpDown36->Maximum = System::Decimal(__mcTemp__14);
			System::Int32 __mcTemp__15[] = new System::Int32[4];
			__mcTemp__15[0] = 1000;
			__mcTemp__15[1] = 0;
			__mcTemp__15[2] = 0;
			__mcTemp__15[3] = System::Int32::MinValue;
			this->numericUpDown36->Minimum = System::Decimal(__mcTemp__15);
			this->numericUpDown36->Name = S"numericUpDown36";
			this->numericUpDown36->Size = System::Drawing::Size(53, 22);
			this->numericUpDown36->TabIndex = 75;
			this->numericUpDown36->Tag = S"EqTypeValue5";
			System::Int32 __mcTemp__16[] = new System::Int32[4];
			__mcTemp__16[0] = 2;
			__mcTemp__16[1] = 0;
			__mcTemp__16[2] = 0;
			__mcTemp__16[3] = 0;
			this->numericUpDown36->Value = System::Decimal(__mcTemp__16);
			this->numericUpDown36->ValueChanged += new System::EventHandler(this, &RuneForm::GetValue_ValueChanged);
			// 
			// numericUpDown34
			// 
			this->numericUpDown34->Location = System::Drawing::Point(3, 52);
			System::Int32 __mcTemp__17[] = new System::Int32[4];
			__mcTemp__17[0] = 1000;
			__mcTemp__17[1] = 0;
			__mcTemp__17[2] = 0;
			__mcTemp__17[3] = 0;
			this->numericUpDown34->Maximum = System::Decimal(__mcTemp__17);
			System::Int32 __mcTemp__18[] = new System::Int32[4];
			__mcTemp__18[0] = 1000;
			__mcTemp__18[1] = 0;
			__mcTemp__18[2] = 0;
			__mcTemp__18[3] = System::Int32::MinValue;
			this->numericUpDown34->Minimum = System::Decimal(__mcTemp__18);
			this->numericUpDown34->Name = S"numericUpDown34";
			this->numericUpDown34->Size = System::Drawing::Size(53, 22);
			this->numericUpDown34->TabIndex = 73;
			this->numericUpDown34->Tag = S"EqTypeValue3";
			System::Int32 __mcTemp__19[] = new System::Int32[4];
			__mcTemp__19[0] = 2;
			__mcTemp__19[1] = 0;
			__mcTemp__19[2] = 0;
			__mcTemp__19[3] = 0;
			this->numericUpDown34->Value = System::Decimal(__mcTemp__19);
			this->numericUpDown34->ValueChanged += new System::EventHandler(this, &RuneForm::GetValue_ValueChanged);
			// 
			// numericUpDown35
			// 
			this->numericUpDown35->Location = System::Drawing::Point(3, 76);
			System::Int32 __mcTemp__20[] = new System::Int32[4];
			__mcTemp__20[0] = 1000;
			__mcTemp__20[1] = 0;
			__mcTemp__20[2] = 0;
			__mcTemp__20[3] = 0;
			this->numericUpDown35->Maximum = System::Decimal(__mcTemp__20);
			System::Int32 __mcTemp__21[] = new System::Int32[4];
			__mcTemp__21[0] = 1000;
			__mcTemp__21[1] = 0;
			__mcTemp__21[2] = 0;
			__mcTemp__21[3] = System::Int32::MinValue;
			this->numericUpDown35->Minimum = System::Decimal(__mcTemp__21);
			this->numericUpDown35->Name = S"numericUpDown35";
			this->numericUpDown35->Size = System::Drawing::Size(53, 22);
			this->numericUpDown35->TabIndex = 74;
			this->numericUpDown35->Tag = S"EqTypeValue4";
			System::Int32 __mcTemp__22[] = new System::Int32[4];
			__mcTemp__22[0] = 2;
			__mcTemp__22[1] = 0;
			__mcTemp__22[2] = 0;
			__mcTemp__22[3] = 0;
			this->numericUpDown35->Value = System::Decimal(__mcTemp__22);
			this->numericUpDown35->ValueChanged += new System::EventHandler(this, &RuneForm::GetValue_ValueChanged);
			// 
			// tabPage2
			// 
			this->tabPage2->Controls->Add(this->comboBox8);
			this->tabPage2->Controls->Add(this->comboBox7);
			this->tabPage2->Controls->Add(this->comboBox5);
			this->tabPage2->Controls->Add(this->comboBox4);
			this->tabPage2->Controls->Add(this->comboBox2);
			this->tabPage2->Controls->Add(this->textBox7);
			this->tabPage2->Controls->Add(this->textBox6);
			this->tabPage2->Controls->Add(this->textBox5);
			this->tabPage2->Controls->Add(this->textBox4);
			this->tabPage2->Controls->Add(this->textBox3);
			this->tabPage2->Controls->Add(this->NUD_Ability1);
			this->tabPage2->Controls->Add(this->NUD_Ability2);
			this->tabPage2->Controls->Add(this->NUD_Ability5);
			this->tabPage2->Controls->Add(this->NUD_Ability3);
			this->tabPage2->Controls->Add(this->NUD_Ability4);
			this->tabPage2->Location = System::Drawing::Point(4, 22);
			this->tabPage2->Name = S"tabPage2";
			this->tabPage2->Padding = System::Windows::Forms::Padding(3);
			this->tabPage2->Size = System::Drawing::Size(165, 124);
			this->tabPage2->TabIndex = 1;
			this->tabPage2->Text = S"標準";
			this->tabPage2->UseVisualStyleBackColor = true;
			// 
			// comboBox8
			// 
			this->comboBox8->DropDownStyle = System::Windows::Forms::ComboBoxStyle::DropDownList;
			this->comboBox8->ItemHeight = 12;
			System::Object* __mcTemp__23[] = new System::Object*[3];
			__mcTemp__23[0] = S"點數";
			__mcTemp__23[1] = S"DEF";
			__mcTemp__23[2] = S"HP";
			this->comboBox8->Items->AddRange(__mcTemp__23);
			this->comboBox8->Location = System::Drawing::Point(57, 101);
			this->comboBox8->Name = S"comboBox8";
			this->comboBox8->Size = System::Drawing::Size(61, 20);
			this->comboBox8->TabIndex = 166;
			this->comboBox8->Tag = S"StandardAbility_ArgType5";
			this->comboBox8->SelectedIndexChanged += new System::EventHandler(this, &RuneForm::GetIndex_SelectedIndexChanged);
			// 
			// comboBox7
			// 
			this->comboBox7->DropDownStyle = System::Windows::Forms::ComboBoxStyle::DropDownList;
			this->comboBox7->ItemHeight = 12;
			System::Object* __mcTemp__24[] = new System::Object*[3];
			__mcTemp__24[0] = S"點數";
			__mcTemp__24[1] = S"DEF";
			__mcTemp__24[2] = S"HP";
			this->comboBox7->Items->AddRange(__mcTemp__24);
			this->comboBox7->Location = System::Drawing::Point(57, 77);
			this->comboBox7->Name = S"comboBox7";
			this->comboBox7->Size = System::Drawing::Size(61, 20);
			this->comboBox7->TabIndex = 165;
			this->comboBox7->Tag = S"StandardAbility_ArgType4";
			this->comboBox7->SelectedIndexChanged += new System::EventHandler(this, &RuneForm::GetIndex_SelectedIndexChanged);
			// 
			// comboBox5
			// 
			this->comboBox5->DropDownStyle = System::Windows::Forms::ComboBoxStyle::DropDownList;
			this->comboBox5->ItemHeight = 12;
			System::Object* __mcTemp__25[] = new System::Object*[3];
			__mcTemp__25[0] = S"點數";
			__mcTemp__25[1] = S"DEF";
			__mcTemp__25[2] = S"HP";
			this->comboBox5->Items->AddRange(__mcTemp__25);
			this->comboBox5->Location = System::Drawing::Point(57, 53);
			this->comboBox5->Name = S"comboBox5";
			this->comboBox5->Size = System::Drawing::Size(61, 20);
			this->comboBox5->TabIndex = 164;
			this->comboBox5->Tag = S"StandardAbility_ArgType3";
			this->comboBox5->SelectedIndexChanged += new System::EventHandler(this, &RuneForm::GetIndex_SelectedIndexChanged);
			// 
			// comboBox4
			// 
			this->comboBox4->DropDownStyle = System::Windows::Forms::ComboBoxStyle::DropDownList;
			this->comboBox4->ItemHeight = 12;
			System::Object* __mcTemp__26[] = new System::Object*[3];
			__mcTemp__26[0] = S"點數";
			__mcTemp__26[1] = S"DEF";
			__mcTemp__26[2] = S"HP";
			this->comboBox4->Items->AddRange(__mcTemp__26);
			this->comboBox4->Location = System::Drawing::Point(57, 29);
			this->comboBox4->Name = S"comboBox4";
			this->comboBox4->Size = System::Drawing::Size(61, 20);
			this->comboBox4->TabIndex = 163;
			this->comboBox4->Tag = S"StandardAbility_ArgType2";
			this->comboBox4->SelectedIndexChanged += new System::EventHandler(this, &RuneForm::GetIndex_SelectedIndexChanged);
			// 
			// comboBox2
			// 
			this->comboBox2->DropDownStyle = System::Windows::Forms::ComboBoxStyle::DropDownList;
			this->comboBox2->ItemHeight = 12;
			System::Object* __mcTemp__27[] = new System::Object*[3];
			__mcTemp__27[0] = S"點數";
			__mcTemp__27[1] = S"DEF";
			__mcTemp__27[2] = S"HP";
			this->comboBox2->Items->AddRange(__mcTemp__27);
			this->comboBox2->Location = System::Drawing::Point(57, 5);
			this->comboBox2->Name = S"comboBox2";
			this->comboBox2->Size = System::Drawing::Size(61, 20);
			this->comboBox2->TabIndex = 162;
			this->comboBox2->Tag = S"StandardAbility_ArgType1";
			this->comboBox2->SelectedIndexChanged += new System::EventHandler(this, &RuneForm::GetIndex_SelectedIndexChanged);
			// 
			// textBox7
			// 
			this->textBox7->Location = System::Drawing::Point(120, 100);
			this->textBox7->Name = S"textBox7";
			this->textBox7->Size = System::Drawing::Size(39, 22);
			this->textBox7->TabIndex = 161;
			this->textBox7->Tag = S"StandardAbility_Arg5";
			this->textBox7->TextChanged += new System::EventHandler(this, &RuneForm::GetFloatValue_TextChanged);
			// 
			// textBox6
			// 
			this->textBox6->Location = System::Drawing::Point(120, 76);
			this->textBox6->Name = S"textBox6";
			this->textBox6->Size = System::Drawing::Size(39, 22);
			this->textBox6->TabIndex = 160;
			this->textBox6->Tag = S"StandardAbility_Arg4";
			this->textBox6->TextChanged += new System::EventHandler(this, &RuneForm::GetFloatValue_TextChanged);
			// 
			// textBox5
			// 
			this->textBox5->Location = System::Drawing::Point(120, 52);
			this->textBox5->Name = S"textBox5";
			this->textBox5->Size = System::Drawing::Size(39, 22);
			this->textBox5->TabIndex = 159;
			this->textBox5->Tag = S"StandardAbility_Arg3";
			this->textBox5->TextChanged += new System::EventHandler(this, &RuneForm::GetFloatValue_TextChanged);
			// 
			// textBox4
			// 
			this->textBox4->Location = System::Drawing::Point(120, 28);
			this->textBox4->Name = S"textBox4";
			this->textBox4->Size = System::Drawing::Size(39, 22);
			this->textBox4->TabIndex = 158;
			this->textBox4->Tag = S"StandardAbility_Arg2";
			this->textBox4->TextChanged += new System::EventHandler(this, &RuneForm::GetFloatValue_TextChanged);
			// 
			// textBox3
			// 
			this->textBox3->Location = System::Drawing::Point(120, 4);
			this->textBox3->Name = S"textBox3";
			this->textBox3->Size = System::Drawing::Size(39, 22);
			this->textBox3->TabIndex = 157;
			this->textBox3->Tag = S"StandardAbility_Arg1";
			this->textBox3->TextChanged += new System::EventHandler(this, &RuneForm::GetFloatValue_TextChanged);
			// 
			// NUD_Ability1
			// 
			this->NUD_Ability1->Enabled = false;
			this->NUD_Ability1->Location = System::Drawing::Point(3, 4);
			System::Int32 __mcTemp__28[] = new System::Int32[4];
			__mcTemp__28[0] = 100000;
			__mcTemp__28[1] = 0;
			__mcTemp__28[2] = 0;
			__mcTemp__28[3] = 0;
			this->NUD_Ability1->Maximum = System::Decimal(__mcTemp__28);
			System::Int32 __mcTemp__29[] = new System::Int32[4];
			__mcTemp__29[0] = 100000;
			__mcTemp__29[1] = 0;
			__mcTemp__29[2] = 0;
			__mcTemp__29[3] = System::Int32::MinValue;
			this->NUD_Ability1->Minimum = System::Decimal(__mcTemp__29);
			this->NUD_Ability1->Name = S"NUD_Ability1";
			this->NUD_Ability1->ReadOnly = true;
			this->NUD_Ability1->Size = System::Drawing::Size(53, 22);
			this->NUD_Ability1->TabIndex = 76;
			this->NUD_Ability1->Tag = S"";
			System::Int32 __mcTemp__30[] = new System::Int32[4];
			__mcTemp__30[0] = 2;
			__mcTemp__30[1] = 0;
			__mcTemp__30[2] = 0;
			__mcTemp__30[3] = 0;
			this->NUD_Ability1->Value = System::Decimal(__mcTemp__30);
			// 
			// NUD_Ability2
			// 
			this->NUD_Ability2->Enabled = false;
			this->NUD_Ability2->Location = System::Drawing::Point(3, 28);
			System::Int32 __mcTemp__31[] = new System::Int32[4];
			__mcTemp__31[0] = 100000;
			__mcTemp__31[1] = 0;
			__mcTemp__31[2] = 0;
			__mcTemp__31[3] = 0;
			this->NUD_Ability2->Maximum = System::Decimal(__mcTemp__31);
			System::Int32 __mcTemp__32[] = new System::Int32[4];
			__mcTemp__32[0] = 100000;
			__mcTemp__32[1] = 0;
			__mcTemp__32[2] = 0;
			__mcTemp__32[3] = System::Int32::MinValue;
			this->NUD_Ability2->Minimum = System::Decimal(__mcTemp__32);
			this->NUD_Ability2->Name = S"NUD_Ability2";
			this->NUD_Ability2->ReadOnly = true;
			this->NUD_Ability2->Size = System::Drawing::Size(53, 22);
			this->NUD_Ability2->TabIndex = 77;
			this->NUD_Ability2->Tag = S"";
			System::Int32 __mcTemp__33[] = new System::Int32[4];
			__mcTemp__33[0] = 2;
			__mcTemp__33[1] = 0;
			__mcTemp__33[2] = 0;
			__mcTemp__33[3] = 0;
			this->NUD_Ability2->Value = System::Decimal(__mcTemp__33);
			// 
			// NUD_Ability5
			// 
			this->NUD_Ability5->Enabled = false;
			this->NUD_Ability5->Location = System::Drawing::Point(3, 100);
			System::Int32 __mcTemp__34[] = new System::Int32[4];
			__mcTemp__34[0] = 100000;
			__mcTemp__34[1] = 0;
			__mcTemp__34[2] = 0;
			__mcTemp__34[3] = 0;
			this->NUD_Ability5->Maximum = System::Decimal(__mcTemp__34);
			System::Int32 __mcTemp__35[] = new System::Int32[4];
			__mcTemp__35[0] = 100000;
			__mcTemp__35[1] = 0;
			__mcTemp__35[2] = 0;
			__mcTemp__35[3] = System::Int32::MinValue;
			this->NUD_Ability5->Minimum = System::Decimal(__mcTemp__35);
			this->NUD_Ability5->Name = S"NUD_Ability5";
			this->NUD_Ability5->ReadOnly = true;
			this->NUD_Ability5->Size = System::Drawing::Size(53, 22);
			this->NUD_Ability5->TabIndex = 80;
			this->NUD_Ability5->Tag = S"";
			System::Int32 __mcTemp__36[] = new System::Int32[4];
			__mcTemp__36[0] = 2;
			__mcTemp__36[1] = 0;
			__mcTemp__36[2] = 0;
			__mcTemp__36[3] = 0;
			this->NUD_Ability5->Value = System::Decimal(__mcTemp__36);
			// 
			// NUD_Ability3
			// 
			this->NUD_Ability3->Enabled = false;
			this->NUD_Ability3->Location = System::Drawing::Point(3, 52);
			System::Int32 __mcTemp__37[] = new System::Int32[4];
			__mcTemp__37[0] = 100000;
			__mcTemp__37[1] = 0;
			__mcTemp__37[2] = 0;
			__mcTemp__37[3] = 0;
			this->NUD_Ability3->Maximum = System::Decimal(__mcTemp__37);
			System::Int32 __mcTemp__38[] = new System::Int32[4];
			__mcTemp__38[0] = 100000;
			__mcTemp__38[1] = 0;
			__mcTemp__38[2] = 0;
			__mcTemp__38[3] = System::Int32::MinValue;
			this->NUD_Ability3->Minimum = System::Decimal(__mcTemp__38);
			this->NUD_Ability3->Name = S"NUD_Ability3";
			this->NUD_Ability3->ReadOnly = true;
			this->NUD_Ability3->Size = System::Drawing::Size(53, 22);
			this->NUD_Ability3->TabIndex = 78;
			this->NUD_Ability3->Tag = S"";
			System::Int32 __mcTemp__39[] = new System::Int32[4];
			__mcTemp__39[0] = 2;
			__mcTemp__39[1] = 0;
			__mcTemp__39[2] = 0;
			__mcTemp__39[3] = 0;
			this->NUD_Ability3->Value = System::Decimal(__mcTemp__39);
			// 
			// NUD_Ability4
			// 
			this->NUD_Ability4->Enabled = false;
			this->NUD_Ability4->Location = System::Drawing::Point(3, 76);
			System::Int32 __mcTemp__40[] = new System::Int32[4];
			__mcTemp__40[0] = 100000;
			__mcTemp__40[1] = 0;
			__mcTemp__40[2] = 0;
			__mcTemp__40[3] = 0;
			this->NUD_Ability4->Maximum = System::Decimal(__mcTemp__40);
			System::Int32 __mcTemp__41[] = new System::Int32[4];
			__mcTemp__41[0] = 100000;
			__mcTemp__41[1] = 0;
			__mcTemp__41[2] = 0;
			__mcTemp__41[3] = System::Int32::MinValue;
			this->NUD_Ability4->Minimum = System::Decimal(__mcTemp__41);
			this->NUD_Ability4->Name = S"NUD_Ability4";
			this->NUD_Ability4->ReadOnly = true;
			this->NUD_Ability4->Size = System::Drawing::Size(53, 22);
			this->NUD_Ability4->TabIndex = 79;
			this->NUD_Ability4->Tag = S"";
			System::Int32 __mcTemp__42[] = new System::Int32[4];
			__mcTemp__42[0] = 2;
			__mcTemp__42[1] = 0;
			__mcTemp__42[2] = 0;
			__mcTemp__42[3] = 0;
			this->NUD_Ability4->Value = System::Decimal(__mcTemp__42);
			// 
			// textBox2
			// 
			this->textBox2->Location = System::Drawing::Point(104, 21);
			this->textBox2->Name = S"textBox2";
			this->textBox2->Size = System::Drawing::Size(84, 22);
			this->textBox2->TabIndex = 159;
			this->textBox2->Tag = S"StandardAbility_Lv";
			this->textBox2->Text = S"0";
			this->textBox2->TextChanged += new System::EventHandler(this, &RuneForm::GetIntValue_TextChanged);
			// 
			// label5
			// 
			this->label5->AutoSize = true;
			this->label5->Font = (new System::Drawing::Font(S"PMingLiU", 9, System::Drawing::FontStyle::Bold, System::Drawing::GraphicsUnit::Point, 
				(System::Byte)136));
			this->label5->ForeColor = System::Drawing::SystemColors::ActiveCaption;
			this->label5->Location = System::Drawing::Point(15, 26);
			this->label5->Name = S"label5";
			this->label5->Size = System::Drawing::Size(83, 12);
			this->label5->TabIndex = 158;
			this->label5->Text = S"參考能力等級";
			// 
			// CB_AbilityList1
			// 
			this->CB_AbilityList1->DropDownStyle = System::Windows::Forms::ComboBoxStyle::DropDownList;
			this->CB_AbilityList1->ItemHeight = 12;
			System::Object* __mcTemp__43[] = new System::Object*[33];
			__mcTemp__43[0] = S"無效果";
			__mcTemp__43[1] = S"耐久度";
			__mcTemp__43[2] = S"STR 力量";
			__mcTemp__43[3] = S"STA 耐力\t\t\t";
			__mcTemp__43[4] = S"INT 智力\t\t\t";
			__mcTemp__43[5] = S"MND 靈力";
			__mcTemp__43[6] = S"AGI 敏捷\t\t\t";
			__mcTemp__43[7] = S"HP  生命值";
			__mcTemp__43[8] = S"MP  魔法值";
			__mcTemp__43[9] = S"SP  特技      ";
			__mcTemp__43[10] = S"HP  回復率";
			__mcTemp__43[11] = S"MP  回復率";
			__mcTemp__43[12] = S"SP  回復率";
			__mcTemp__43[13] = S"ATK 攻擊力";
			__mcTemp__43[14] = S"DEF 防禦力";
			__mcTemp__43[15] = S"MDEF 魔法防禦";
			__mcTemp__43[16] = S"MATK 魔法攻擊";
			__mcTemp__43[17] = S"命中率";
			__mcTemp__43[18] = S"迴避率";
			__mcTemp__43[19] = S"致命一擊率";
			__mcTemp__43[20] = S"格擋率";
			__mcTemp__43[21] = S"攻擊速度";
			__mcTemp__43[22] = S"移動速度  ";
			__mcTemp__43[23] = S"攻擊傷害";
			__mcTemp__43[24] = S"魔法威力( 倍數 )";
			__mcTemp__43[25] = S"所有屬性(基本五個屬性)";
			__mcTemp__43[26] = S"所有抗性";
			__mcTemp__43[27] = S"地抗性";
			__mcTemp__43[28] = S"水抗性";
			__mcTemp__43[29] = S"火抗性";
			__mcTemp__43[30] = S"風抗性";
			__mcTemp__43[31] = S"光抗性";
			__mcTemp__43[32] = S"闇抗性";
			this->CB_AbilityList1->Items->AddRange(__mcTemp__43);
			this->CB_AbilityList1->Location = System::Drawing::Point(16, 50);
			this->CB_AbilityList1->MaxDropDownItems = 1;
			this->CB_AbilityList1->Name = S"CB_AbilityList1";
			this->CB_AbilityList1->Size = System::Drawing::Size(220, 20);
			this->CB_AbilityList1->TabIndex = 0;
			this->CB_AbilityList1->Tag = S"EqType1";
			this->CB_AbilityList1->SelectedIndexChanged += new System::EventHandler(this, &RuneForm::GetIndex_SelectedIndexChanged);
			this->CB_AbilityList1->Click += new System::EventHandler(this, &RuneForm::Select_Ability_Click);
			// 
			// label22
			// 
			this->label22->AutoSize = true;
			this->label22->Font = (new System::Drawing::Font(S"PMingLiU", 9, System::Drawing::FontStyle::Bold, System::Drawing::GraphicsUnit::Point, 
				(System::Byte)136));
			this->label22->ForeColor = System::Drawing::SystemColors::ActiveCaption;
			this->label22->Location = System::Drawing::Point(150, 210);
			this->label22->Name = S"label22";
			this->label22->Size = System::Drawing::Size(77, 12);
			this->label22->TabIndex = 155;
			this->label22->Text = S"發生機率(%)";
			// 
			// CB_AbilityList2
			// 
			this->CB_AbilityList2->DropDownStyle = System::Windows::Forms::ComboBoxStyle::DropDownList;
			this->CB_AbilityList2->ItemHeight = 12;
			System::Object* __mcTemp__44[] = new System::Object*[33];
			__mcTemp__44[0] = S"無效果";
			__mcTemp__44[1] = S"耐久度";
			__mcTemp__44[2] = S"STR 力量";
			__mcTemp__44[3] = S"STA 耐力\t\t\t";
			__mcTemp__44[4] = S"INT 智力\t\t\t";
			__mcTemp__44[5] = S"MND 靈力";
			__mcTemp__44[6] = S"AGI 敏捷\t\t\t";
			__mcTemp__44[7] = S"HP  生命值";
			__mcTemp__44[8] = S"MP  魔法值";
			__mcTemp__44[9] = S"SP  特技      ";
			__mcTemp__44[10] = S"HP  回復率";
			__mcTemp__44[11] = S"MP  回復率";
			__mcTemp__44[12] = S"SP  回復率";
			__mcTemp__44[13] = S"ATK 攻擊力";
			__mcTemp__44[14] = S"DEF 防禦力";
			__mcTemp__44[15] = S"MDEF 魔法防禦";
			__mcTemp__44[16] = S"MATK 魔法攻擊";
			__mcTemp__44[17] = S"命中率";
			__mcTemp__44[18] = S"迴避率";
			__mcTemp__44[19] = S"致命一擊率";
			__mcTemp__44[20] = S"格擋率";
			__mcTemp__44[21] = S"攻擊速度";
			__mcTemp__44[22] = S"移動速度  ";
			__mcTemp__44[23] = S"攻擊傷害";
			__mcTemp__44[24] = S"魔法威力( 倍數 )";
			__mcTemp__44[25] = S"所有屬性(基本五個屬性)";
			__mcTemp__44[26] = S"所有抗性";
			__mcTemp__44[27] = S"地抗性";
			__mcTemp__44[28] = S"水抗性";
			__mcTemp__44[29] = S"火抗性";
			__mcTemp__44[30] = S"風抗性";
			__mcTemp__44[31] = S"光抗性";
			__mcTemp__44[32] = S"闇抗性";
			this->CB_AbilityList2->Items->AddRange(__mcTemp__44);
			this->CB_AbilityList2->Location = System::Drawing::Point(16, 74);
			this->CB_AbilityList2->MaxDropDownItems = 1;
			this->CB_AbilityList2->Name = S"CB_AbilityList2";
			this->CB_AbilityList2->Size = System::Drawing::Size(220, 20);
			this->CB_AbilityList2->TabIndex = 2;
			this->CB_AbilityList2->Tag = S"EqType2";
			this->CB_AbilityList2->SelectedIndexChanged += new System::EventHandler(this, &RuneForm::GetIndex_SelectedIndexChanged);
			this->CB_AbilityList2->Click += new System::EventHandler(this, &RuneForm::Select_Ability_Click);
			// 
			// textBox25
			// 
			this->textBox25->Location = System::Drawing::Point(233, 204);
			this->textBox25->Name = S"textBox25";
			this->textBox25->Size = System::Drawing::Size(48, 22);
			this->textBox25->TabIndex = 156;
			this->textBox25->Tag = S"EqTypeOnAttackMagicRate";
			this->textBox25->TextChanged += new System::EventHandler(this, &RuneForm::GetIntValue_TextChanged);
			// 
			// label21
			// 
			this->label21->AutoSize = true;
			this->label21->Font = (new System::Drawing::Font(S"PMingLiU", 9, System::Drawing::FontStyle::Bold, System::Drawing::GraphicsUnit::Point, 
				(System::Byte)136));
			this->label21->ForeColor = System::Drawing::SystemColors::ActiveCaption;
			this->label21->Location = System::Drawing::Point(19, 207);
			this->label21->Name = S"label21";
			this->label21->Size = System::Drawing::Size(57, 12);
			this->label21->TabIndex = 153;
			this->label21->Text = S"互蓋等級";
			// 
			// CB_AbilityList3
			// 
			this->CB_AbilityList3->DropDownStyle = System::Windows::Forms::ComboBoxStyle::DropDownList;
			this->CB_AbilityList3->ItemHeight = 12;
			System::Object* __mcTemp__45[] = new System::Object*[33];
			__mcTemp__45[0] = S"無效果";
			__mcTemp__45[1] = S"耐久度";
			__mcTemp__45[2] = S"STR 力量";
			__mcTemp__45[3] = S"STA 耐力\t\t\t";
			__mcTemp__45[4] = S"INT 智力\t\t\t";
			__mcTemp__45[5] = S"MND 靈力";
			__mcTemp__45[6] = S"AGI 敏捷\t\t\t";
			__mcTemp__45[7] = S"HP  生命值";
			__mcTemp__45[8] = S"MP  魔法值";
			__mcTemp__45[9] = S"SP  特技      ";
			__mcTemp__45[10] = S"HP  回復率";
			__mcTemp__45[11] = S"MP  回復率";
			__mcTemp__45[12] = S"SP  回復率";
			__mcTemp__45[13] = S"ATK 攻擊力";
			__mcTemp__45[14] = S"DEF 防禦力";
			__mcTemp__45[15] = S"MDEF 魔法防禦";
			__mcTemp__45[16] = S"MATK 魔法攻擊";
			__mcTemp__45[17] = S"命中率";
			__mcTemp__45[18] = S"迴避率";
			__mcTemp__45[19] = S"致命一擊率";
			__mcTemp__45[20] = S"格擋率";
			__mcTemp__45[21] = S"攻擊速度";
			__mcTemp__45[22] = S"移動速度  ";
			__mcTemp__45[23] = S"攻擊傷害";
			__mcTemp__45[24] = S"魔法威力( 倍數 )";
			__mcTemp__45[25] = S"所有屬性(基本五個屬性)";
			__mcTemp__45[26] = S"所有抗性";
			__mcTemp__45[27] = S"地抗性";
			__mcTemp__45[28] = S"水抗性";
			__mcTemp__45[29] = S"火抗性";
			__mcTemp__45[30] = S"風抗性";
			__mcTemp__45[31] = S"光抗性";
			__mcTemp__45[32] = S"闇抗性";
			this->CB_AbilityList3->Items->AddRange(__mcTemp__45);
			this->CB_AbilityList3->Location = System::Drawing::Point(16, 98);
			this->CB_AbilityList3->MaxDropDownItems = 1;
			this->CB_AbilityList3->Name = S"CB_AbilityList3";
			this->CB_AbilityList3->Size = System::Drawing::Size(220, 20);
			this->CB_AbilityList3->TabIndex = 4;
			this->CB_AbilityList3->Tag = S"EqType3";
			this->CB_AbilityList3->SelectedIndexChanged += new System::EventHandler(this, &RuneForm::GetIndex_SelectedIndexChanged);
			this->CB_AbilityList3->Click += new System::EventHandler(this, &RuneForm::Select_Ability_Click);
			// 
			// textBox23
			// 
			this->textBox23->Location = System::Drawing::Point(81, 204);
			this->textBox23->Name = S"textBox23";
			this->textBox23->Size = System::Drawing::Size(48, 22);
			this->textBox23->TabIndex = 154;
			this->textBox23->Tag = S"EqTypeOnAttackMagicRank";
			this->textBox23->TextChanged += new System::EventHandler(this, &RuneForm::GetIntValue_TextChanged);
			// 
			// LB_EqTypeOnAttackMagicID
			// 
			this->LB_EqTypeOnAttackMagicID->AutoSize = true;
			this->LB_EqTypeOnAttackMagicID->Font = (new System::Drawing::Font(S"PMingLiU", 9, System::Drawing::FontStyle::Bold, System::Drawing::GraphicsUnit::Point, 
				(System::Byte)136));
			this->LB_EqTypeOnAttackMagicID->ForeColor = System::Drawing::SystemColors::ActiveCaption;
			this->LB_EqTypeOnAttackMagicID->Location = System::Drawing::Point(183, 179);
			this->LB_EqTypeOnAttackMagicID->Name = S"LB_EqTypeOnAttackMagicID";
			this->LB_EqTypeOnAttackMagicID->Size = System::Drawing::Size(42, 12);
			this->LB_EqTypeOnAttackMagicID->TabIndex = 152;
			this->LB_EqTypeOnAttackMagicID->Text = S"法術id";
			// 
			// CB_AbilityList4
			// 
			this->CB_AbilityList4->DropDownStyle = System::Windows::Forms::ComboBoxStyle::DropDownList;
			this->CB_AbilityList4->ItemHeight = 12;
			System::Object* __mcTemp__46[] = new System::Object*[33];
			__mcTemp__46[0] = S"無效果";
			__mcTemp__46[1] = S"耐久度";
			__mcTemp__46[2] = S"STR 力量";
			__mcTemp__46[3] = S"STA 耐力\t\t\t";
			__mcTemp__46[4] = S"INT 智力\t\t\t";
			__mcTemp__46[5] = S"MND 靈力";
			__mcTemp__46[6] = S"AGI 敏捷\t\t\t";
			__mcTemp__46[7] = S"HP  生命值";
			__mcTemp__46[8] = S"MP  魔法值";
			__mcTemp__46[9] = S"SP  特技      ";
			__mcTemp__46[10] = S"HP  回復率";
			__mcTemp__46[11] = S"MP  回復率";
			__mcTemp__46[12] = S"SP  回復率";
			__mcTemp__46[13] = S"ATK 攻擊力";
			__mcTemp__46[14] = S"DEF 防禦力";
			__mcTemp__46[15] = S"MDEF 魔法防禦";
			__mcTemp__46[16] = S"MATK 魔法攻擊";
			__mcTemp__46[17] = S"命中率";
			__mcTemp__46[18] = S"迴避率";
			__mcTemp__46[19] = S"致命一擊率";
			__mcTemp__46[20] = S"格擋率";
			__mcTemp__46[21] = S"攻擊速度";
			__mcTemp__46[22] = S"移動速度  ";
			__mcTemp__46[23] = S"攻擊傷害";
			__mcTemp__46[24] = S"魔法威力( 倍數 )";
			__mcTemp__46[25] = S"所有屬性(基本五個屬性)";
			__mcTemp__46[26] = S"所有抗性";
			__mcTemp__46[27] = S"地抗性";
			__mcTemp__46[28] = S"水抗性";
			__mcTemp__46[29] = S"火抗性";
			__mcTemp__46[30] = S"風抗性";
			__mcTemp__46[31] = S"光抗性";
			__mcTemp__46[32] = S"闇抗性";
			this->CB_AbilityList4->Items->AddRange(__mcTemp__46);
			this->CB_AbilityList4->Location = System::Drawing::Point(16, 122);
			this->CB_AbilityList4->MaxDropDownItems = 1;
			this->CB_AbilityList4->Name = S"CB_AbilityList4";
			this->CB_AbilityList4->Size = System::Drawing::Size(220, 20);
			this->CB_AbilityList4->TabIndex = 6;
			this->CB_AbilityList4->Tag = S"EqType4";
			this->CB_AbilityList4->SelectedIndexChanged += new System::EventHandler(this, &RuneForm::GetIndex_SelectedIndexChanged);
			this->CB_AbilityList4->Click += new System::EventHandler(this, &RuneForm::Select_Ability_Click);
			// 
			// label19
			// 
			this->label19->AutoSize = true;
			this->label19->Font = (new System::Drawing::Font(S"PMingLiU", 9, System::Drawing::FontStyle::Bold, System::Drawing::GraphicsUnit::Point, 
				(System::Byte)136));
			this->label19->ForeColor = System::Drawing::SystemColors::ActiveCaption;
			this->label19->Location = System::Drawing::Point(15, 179);
			this->label19->Name = S"label19";
			this->label19->Size = System::Drawing::Size(83, 12);
			this->label19->TabIndex = 150;
			this->label19->Text = S"普攻法術號碼";
			// 
			// textBox9
			// 
			this->textBox9->Location = System::Drawing::Point(104, 176);
			this->textBox9->Name = S"textBox9";
			this->textBox9->Size = System::Drawing::Size(72, 22);
			this->textBox9->TabIndex = 151;
			this->textBox9->Tag = S"EqTypeOnAttackMagicID";
			this->textBox9->TextChanged += new System::EventHandler(this, &RuneForm::GetIntValue_TextChanged);
			// 
			// CB_AbilityList5
			// 
			this->CB_AbilityList5->DropDownStyle = System::Windows::Forms::ComboBoxStyle::DropDownList;
			this->CB_AbilityList5->ItemHeight = 12;
			System::Object* __mcTemp__47[] = new System::Object*[33];
			__mcTemp__47[0] = S"無效果";
			__mcTemp__47[1] = S"耐久度";
			__mcTemp__47[2] = S"STR 力量";
			__mcTemp__47[3] = S"STA 耐力\t\t\t";
			__mcTemp__47[4] = S"INT 智力\t\t\t";
			__mcTemp__47[5] = S"MND 靈力";
			__mcTemp__47[6] = S"AGI 敏捷\t\t\t";
			__mcTemp__47[7] = S"HP  生命值";
			__mcTemp__47[8] = S"MP  魔法值";
			__mcTemp__47[9] = S"SP  特技      ";
			__mcTemp__47[10] = S"HP  回復率";
			__mcTemp__47[11] = S"MP  回復率";
			__mcTemp__47[12] = S"SP  回復率";
			__mcTemp__47[13] = S"ATK 攻擊力";
			__mcTemp__47[14] = S"DEF 防禦力";
			__mcTemp__47[15] = S"MDEF 魔法防禦";
			__mcTemp__47[16] = S"MATK 魔法攻擊";
			__mcTemp__47[17] = S"命中率";
			__mcTemp__47[18] = S"迴避率";
			__mcTemp__47[19] = S"致命一擊率";
			__mcTemp__47[20] = S"格擋率";
			__mcTemp__47[21] = S"攻擊速度";
			__mcTemp__47[22] = S"移動速度  ";
			__mcTemp__47[23] = S"攻擊傷害";
			__mcTemp__47[24] = S"魔法威力( 倍數 )";
			__mcTemp__47[25] = S"所有屬性(基本五個屬性)";
			__mcTemp__47[26] = S"所有抗性";
			__mcTemp__47[27] = S"地抗性";
			__mcTemp__47[28] = S"水抗性";
			__mcTemp__47[29] = S"火抗性";
			__mcTemp__47[30] = S"風抗性";
			__mcTemp__47[31] = S"光抗性";
			__mcTemp__47[32] = S"闇抗性";
			this->CB_AbilityList5->Items->AddRange(__mcTemp__47);
			this->CB_AbilityList5->Location = System::Drawing::Point(16, 146);
			this->CB_AbilityList5->MaxDropDownItems = 1;
			this->CB_AbilityList5->Name = S"CB_AbilityList5";
			this->CB_AbilityList5->Size = System::Drawing::Size(220, 20);
			this->CB_AbilityList5->TabIndex = 8;
			this->CB_AbilityList5->Tag = S"EqType5";
			this->CB_AbilityList5->SelectedIndexChanged += new System::EventHandler(this, &RuneForm::GetIndex_SelectedIndexChanged);
			this->CB_AbilityList5->Click += new System::EventHandler(this, &RuneForm::Select_Ability_Click);
			// 
			// groupBox4
			// 
			this->groupBox4->Controls->Add(this->comboBox33);
			this->groupBox4->Controls->Add(this->label55);
			this->groupBox4->Controls->Add(this->comboBox10);
			this->groupBox4->Controls->Add(this->label1);
			this->groupBox4->Controls->Add(this->comboBox6);
			this->groupBox4->Controls->Add(this->label3);
			this->groupBox4->Location = System::Drawing::Point(197, 135);
			this->groupBox4->Name = S"groupBox4";
			this->groupBox4->Size = System::Drawing::Size(165, 100);
			this->groupBox4->TabIndex = 137;
			this->groupBox4->TabStop = false;
			// 
			// comboBox33
			// 
			this->comboBox33->ItemHeight = 12;
			System::Object* __mcTemp__48[] = new System::Object*[11];
			__mcTemp__48[0] = S"0.5";
			__mcTemp__48[1] = S"0.6";
			__mcTemp__48[2] = S"0.7";
			__mcTemp__48[3] = S"0.8";
			__mcTemp__48[4] = S"0.9";
			__mcTemp__48[5] = S"1";
			__mcTemp__48[6] = S"1.1";
			__mcTemp__48[7] = S"1.2";
			__mcTemp__48[8] = S"1.3";
			__mcTemp__48[9] = S"1.4";
			__mcTemp__48[10] = S"1.5";
			this->comboBox33->Items->AddRange(__mcTemp__48);
			this->comboBox33->Location = System::Drawing::Point(85, 71);
			this->comboBox33->Name = S"comboBox33";
			this->comboBox33->Size = System::Drawing::Size(72, 20);
			this->comboBox33->TabIndex = 155;
			this->comboBox33->Tag = S"DissolutionRate";
			this->comboBox33->TextChanged += new System::EventHandler(this, &RuneForm::GetFloatValue_TextChanged);
			// 
			// label55
			// 
			this->label55->AutoSize = true;
			this->label55->Font = (new System::Drawing::Font(S"PMingLiU", 9, System::Drawing::FontStyle::Bold, System::Drawing::GraphicsUnit::Point, 
				(System::Byte)136));
			this->label55->ForeColor = System::Drawing::SystemColors::ActiveCaption;
			this->label55->Location = System::Drawing::Point(18, 74);
			this->label55->Name = S"label55";
			this->label55->Size = System::Drawing::Size(57, 12);
			this->label55->TabIndex = 154;
			this->label55->Text = S"分解倍率";
			// 
			// comboBox10
			// 
			this->comboBox10->ItemHeight = 12;
			System::Object* __mcTemp__49[] = new System::Object*[9];
			__mcTemp__49[0] = S"2";
			__mcTemp__49[1] = S"3";
			__mcTemp__49[2] = S"4";
			__mcTemp__49[3] = S"5";
			__mcTemp__49[4] = S"6";
			__mcTemp__49[5] = S"7";
			__mcTemp__49[6] = S"8";
			__mcTemp__49[7] = S"9";
			__mcTemp__49[8] = S"10";
			this->comboBox10->Items->AddRange(__mcTemp__49);
			this->comboBox10->Location = System::Drawing::Point(85, 21);
			this->comboBox10->Name = S"comboBox10";
			this->comboBox10->Size = System::Drawing::Size(72, 20);
			this->comboBox10->TabIndex = 133;
			this->comboBox10->Tag = S"Volume";
			this->comboBox10->TextChanged += new System::EventHandler(this, &RuneForm::GetIntValue_TextChanged);
			// 
			// label1
			// 
			this->label1->AutoSize = true;
			this->label1->Font = (new System::Drawing::Font(S"PMingLiU", 9, System::Drawing::FontStyle::Bold, System::Drawing::GraphicsUnit::Point, 
				(System::Byte)136));
			this->label1->ForeColor = System::Drawing::SystemColors::ActiveCaption;
			this->label1->Location = System::Drawing::Point(5, 47);
			this->label1->Name = S"label1";
			this->label1->Size = System::Drawing::Size(70, 12);
			this->label1->TabIndex = 124;
			this->label1->Text = S"製造消失率";
			// 
			// comboBox6
			// 
			this->comboBox6->ItemHeight = 12;
			System::Object* __mcTemp__50[] = new System::Object*[11];
			__mcTemp__50[0] = S"100";
			__mcTemp__50[1] = S"90";
			__mcTemp__50[2] = S"80";
			__mcTemp__50[3] = S"70";
			__mcTemp__50[4] = S"60";
			__mcTemp__50[5] = S"50";
			__mcTemp__50[6] = S"40";
			__mcTemp__50[7] = S"30";
			__mcTemp__50[8] = S"20";
			__mcTemp__50[9] = S"10";
			__mcTemp__50[10] = S"0";
			this->comboBox6->Items->AddRange(__mcTemp__50);
			this->comboBox6->Location = System::Drawing::Point(85, 47);
			this->comboBox6->Name = S"comboBox6";
			this->comboBox6->Size = System::Drawing::Size(72, 20);
			this->comboBox6->TabIndex = 125;
			this->comboBox6->Tag = S"DisappearRate";
			this->comboBox6->TextChanged += new System::EventHandler(this, &RuneForm::GetIntValue_TextChanged);
			// 
			// label3
			// 
			this->label3->AutoSize = true;
			this->label3->Font = (new System::Drawing::Font(S"PMingLiU", 9, System::Drawing::FontStyle::Bold, System::Drawing::GraphicsUnit::Point, 
				(System::Byte)136));
			this->label3->ForeColor = System::Drawing::SystemColors::ActiveCaption;
			this->label3->Location = System::Drawing::Point(48, 24);
			this->label3->Name = S"label3";
			this->label3->Size = System::Drawing::Size(31, 12);
			this->label3->TabIndex = 132;
			this->label3->Text = S"容量";
			// 
			// groupBox9
			// 
			this->groupBox9->Controls->Add(this->TB_SpecialMoneyCost);
			this->groupBox9->Controls->Add(this->TB_StandardCost);
			this->groupBox9->Controls->Add(this->CB_StandardCost);
			this->groupBox9->Controls->Add(this->TB_ReferenceLv);
			this->groupBox9->Controls->Add(this->label4);
			this->groupBox9->Controls->Add(this->CB_PricesType);
			this->groupBox9->Controls->Add(this->TB_Cost);
			this->groupBox9->Location = System::Drawing::Point(3, 135);
			this->groupBox9->Name = S"groupBox9";
			this->groupBox9->Size = System::Drawing::Size(188, 125);
			this->groupBox9->TabIndex = 136;
			this->groupBox9->TabStop = false;
			this->groupBox9->Text = S"價值";
			// 
			// TB_SpecialMoneyCost
			// 
			this->TB_SpecialMoneyCost->Location = System::Drawing::Point(98, 97);
			this->TB_SpecialMoneyCost->Name = S"TB_SpecialMoneyCost";
			this->TB_SpecialMoneyCost->Size = System::Drawing::Size(84, 22);
			this->TB_SpecialMoneyCost->TabIndex = 99;
			this->TB_SpecialMoneyCost->Tag = S"SpecialMoneyCost";
			this->TB_SpecialMoneyCost->Text = S"0";
			this->TB_SpecialMoneyCost->TextChanged += new System::EventHandler(this, &RuneForm::GetIntValue_TextChanged);
			// 
			// TB_StandardCost
			// 
			this->TB_StandardCost->Enabled = false;
			this->TB_StandardCost->Location = System::Drawing::Point(98, 40);
			this->TB_StandardCost->Name = S"TB_StandardCost";
			this->TB_StandardCost->Size = System::Drawing::Size(84, 22);
			this->TB_StandardCost->TabIndex = 98;
			this->TB_StandardCost->Tag = S"";
			this->TB_StandardCost->Text = S"0";
			// 
			// CB_StandardCost
			// 
			this->CB_StandardCost->AutoSize = true;
			this->CB_StandardCost->ForeColor = System::Drawing::SystemColors::ActiveCaption;
			this->CB_StandardCost->Location = System::Drawing::Point(29, 42);
			this->CB_StandardCost->Name = S"CB_StandardCost";
			this->CB_StandardCost->Size = System::Drawing::Size(60, 16);
			this->CB_StandardCost->TabIndex = 97;
			this->CB_StandardCost->Tag = S"IsStandardCost";
			this->CB_StandardCost->Text = S"標準值";
			this->CB_StandardCost->UseVisualStyleBackColor = true;
			this->CB_StandardCost->CheckedChanged += new System::EventHandler(this, &RuneForm::GetValue_CheckChanged);
			// 
			// TB_ReferenceLv
			// 
			this->TB_ReferenceLv->Location = System::Drawing::Point(98, 14);
			this->TB_ReferenceLv->Name = S"TB_ReferenceLv";
			this->TB_ReferenceLv->Size = System::Drawing::Size(84, 22);
			this->TB_ReferenceLv->TabIndex = 96;
			this->TB_ReferenceLv->Tag = S"ReferenceLv";
			this->TB_ReferenceLv->Text = S"0";
			this->TB_ReferenceLv->TextChanged += new System::EventHandler(this, &RuneForm::GetIntValue_TextChanged);
			// 
			// label4
			// 
			this->label4->AutoSize = true;
			this->label4->Font = (new System::Drawing::Font(S"PMingLiU", 9, System::Drawing::FontStyle::Bold, System::Drawing::GraphicsUnit::Point, 
				(System::Byte)136));
			this->label4->ForeColor = System::Drawing::SystemColors::ActiveCaption;
			this->label4->Location = System::Drawing::Point(14, 18);
			this->label4->Name = S"label4";
			this->label4->Size = System::Drawing::Size(83, 12);
			this->label4->TabIndex = 88;
			this->label4->Text = S"參考價錢等級";
			// 
			// CB_PricesType
			// 
			this->CB_PricesType->DropDownStyle = System::Windows::Forms::ComboBoxStyle::DropDownList;
			this->CB_PricesType->ItemHeight = 12;
			System::Object* __mcTemp__51[] = new System::Object*[2];
			__mcTemp__51[0] = S"遊戲幣";
			__mcTemp__51[1] = S"點數幣";
			this->CB_PricesType->Items->AddRange(__mcTemp__51);
			this->CB_PricesType->Location = System::Drawing::Point(12, 71);
			this->CB_PricesType->Name = S"CB_PricesType";
			this->CB_PricesType->Size = System::Drawing::Size(84, 20);
			this->CB_PricesType->TabIndex = 87;
			this->CB_PricesType->Tag = S"PricesType";
			this->CB_PricesType->SelectedIndexChanged += new System::EventHandler(this, &RuneForm::GetIndex_SelectedIndexChanged);
			// 
			// TB_Cost
			// 
			this->TB_Cost->Location = System::Drawing::Point(98, 69);
			this->TB_Cost->Name = S"TB_Cost";
			this->TB_Cost->Size = System::Drawing::Size(84, 22);
			this->TB_Cost->TabIndex = 82;
			this->TB_Cost->Tag = S"Cost";
			this->TB_Cost->Text = S"0";
			this->TB_Cost->TextChanged += new System::EventHandler(this, &RuneForm::GetIntValue_TextChanged);
			// 
			// groupBox3
			// 
			this->groupBox3->Controls->Add(this->label26);
			this->groupBox3->Controls->Add(this->textBox13);
			this->groupBox3->Controls->Add(this->CB_GroupType);
			this->groupBox3->Controls->Add(this->label8);
			this->groupBox3->Controls->Add(this->comboBox11);
			this->groupBox3->Controls->Add(this->label7);
			this->groupBox3->Controls->Add(this->LB_CardName);
			this->groupBox3->Controls->Add(this->textBox1);
			this->groupBox3->Controls->Add(this->label23);
			this->groupBox3->Controls->Add(this->label6);
			this->groupBox3->Controls->Add(this->label16);
			this->groupBox3->Controls->Add(this->comboBox3);
			this->groupBox3->Controls->Add(this->comboBox9);
			this->groupBox3->Controls->Add(this->label2);
			this->groupBox3->Controls->Add(this->comboBox1);
			this->groupBox3->Location = System::Drawing::Point(3, 3);
			this->groupBox3->Name = S"groupBox3";
			this->groupBox3->Size = System::Drawing::Size(414, 126);
			this->groupBox3->TabIndex = 135;
			this->groupBox3->TabStop = false;
			// 
			// label26
			// 
			this->label26->AutoSize = true;
			this->label26->Font = (new System::Drawing::Font(S"PMingLiU", 9, System::Drawing::FontStyle::Bold, System::Drawing::GraphicsUnit::Point, 
				(System::Byte)136));
			this->label26->ForeColor = System::Drawing::SystemColors::ActiveCaption;
			this->label26->Location = System::Drawing::Point(224, 74);
			this->label26->Name = S"label26";
			this->label26->Size = System::Drawing::Size(44, 12);
			this->label26->TabIndex = 175;
			this->label26->Text = S"星等值";
			// 
			// textBox13
			// 
			this->textBox13->Location = System::Drawing::Point(274, 69);
			this->textBox13->Name = S"textBox13";
			this->textBox13->Size = System::Drawing::Size(100, 22);
			this->textBox13->TabIndex = 176;
			this->textBox13->Tag = S"StarValue";
			this->textBox13->Text = S"0";
			this->textBox13->TextChanged += new System::EventHandler(this, &RuneForm::GetIntValue_TextChanged);
			// 
			// CB_GroupType
			// 
			this->CB_GroupType->DropDownStyle = System::Windows::Forms::ComboBoxStyle::DropDownList;
			this->CB_GroupType->ItemHeight = 12;
			this->CB_GroupType->Location = System::Drawing::Point(209, 40);
			this->CB_GroupType->Name = S"CB_GroupType";
			this->CB_GroupType->Size = System::Drawing::Size(165, 20);
			this->CB_GroupType->TabIndex = 174;
			this->CB_GroupType->Tag = S"RuneGroup";
			this->CB_GroupType->SelectedIndexChanged += new System::EventHandler(this, &RuneForm::GetItemKey_SelectedIndexChanged);
			// 
			// label8
			// 
			this->label8->AutoSize = true;
			this->label8->Font = (new System::Drawing::Font(S"PMingLiU", 9, System::Drawing::FontStyle::Bold, System::Drawing::GraphicsUnit::Point, 
				(System::Byte)136));
			this->label8->ForeColor = System::Drawing::SystemColors::ActiveCaption;
			this->label8->Location = System::Drawing::Point(146, 43);
			this->label8->Name = S"label8";
			this->label8->Size = System::Drawing::Size(57, 12);
			this->label8->TabIndex = 173;
			this->label8->Text = S"能力分類";
			// 
			// comboBox11
			// 
			this->comboBox11->ItemHeight = 12;
			System::Object* __mcTemp__52[] = new System::Object*[4];
			__mcTemp__52[0] = S"1";
			__mcTemp__52[1] = S"10";
			__mcTemp__52[2] = S"20";
			__mcTemp__52[3] = S"99";
			this->comboBox11->Items->AddRange(__mcTemp__52);
			this->comboBox11->Location = System::Drawing::Point(209, 14);
			this->comboBox11->Name = S"comboBox11";
			this->comboBox11->Size = System::Drawing::Size(72, 20);
			this->comboBox11->TabIndex = 172;
			this->comboBox11->Tag = S"MaxHeap";
			this->comboBox11->TextChanged += new System::EventHandler(this, &RuneForm::GetIntValue_TextChanged);
			// 
			// label7
			// 
			this->label7->AutoSize = true;
			this->label7->Font = (new System::Drawing::Font(S"PMingLiU", 9, System::Drawing::FontStyle::Bold, System::Drawing::GraphicsUnit::Point, 
				(System::Byte)136));
			this->label7->ForeColor = System::Drawing::SystemColors::ActiveCaption;
			this->label7->Location = System::Drawing::Point(146, 17);
			this->label7->Name = S"label7";
			this->label7->Size = System::Drawing::Size(44, 12);
			this->label7->TabIndex = 171;
			this->label7->Text = S"堆疊量";
			// 
			// LB_CardName
			// 
			this->LB_CardName->AutoSize = true;
			this->LB_CardName->Location = System::Drawing::Point(134, 101);
			this->LB_CardName->Name = S"LB_CardName";
			this->LB_CardName->Size = System::Drawing::Size(53, 12);
			this->LB_CardName->TabIndex = 170;
			this->LB_CardName->Text = S"卡片名稱";
			// 
			// textBox1
			// 
			this->textBox1->Location = System::Drawing::Point(56, 98);
			this->textBox1->Name = S"textBox1";
			this->textBox1->Size = System::Drawing::Size(72, 22);
			this->textBox1->TabIndex = 169;
			this->textBox1->Tag = S"CardID";
			this->textBox1->Text = S"0";
			this->textBox1->TextChanged += new System::EventHandler(this, &RuneForm::GetIntValue_TextChanged);
			// 
			// label23
			// 
			this->label23->AutoSize = true;
			this->label23->Font = (new System::Drawing::Font(S"PMingLiU", 9, System::Drawing::FontStyle::Bold, System::Drawing::GraphicsUnit::Point, 
				(System::Byte)136));
			this->label23->ForeColor = System::Drawing::SystemColors::ActiveCaption;
			this->label23->Location = System::Drawing::Point(19, 101);
			this->label23->Name = S"label23";
			this->label23->Size = System::Drawing::Size(31, 12);
			this->label23->TabIndex = 168;
			this->label23->Text = S"卡片";
			// 
			// label6
			// 
			this->label6->AutoSize = true;
			this->label6->Font = (new System::Drawing::Font(S"PMingLiU", 9, System::Drawing::FontStyle::Bold, System::Drawing::GraphicsUnit::Point, 
				(System::Byte)136));
			this->label6->ForeColor = System::Drawing::SystemColors::ActiveCaption;
			this->label6->Location = System::Drawing::Point(15, 17);
			this->label6->Name = S"label6";
			this->label6->Size = System::Drawing::Size(31, 12);
			this->label6->TabIndex = 126;
			this->label6->Text = S"類型";
			// 
			// label16
			// 
			this->label16->AutoSize = true;
			this->label16->Font = (new System::Drawing::Font(S"PMingLiU", 9, System::Drawing::FontStyle::Bold, System::Drawing::GraphicsUnit::Point, 
				(System::Byte)136));
			this->label16->ForeColor = System::Drawing::SystemColors::ActiveCaption;
			this->label16->Location = System::Drawing::Point(8, 69);
			this->label16->Name = S"label16";
			this->label16->Size = System::Drawing::Size(44, 12);
			this->label16->TabIndex = 122;
			this->label16->Text = S"稀有度";
			// 
			// comboBox3
			// 
			this->comboBox3->DropDownStyle = System::Windows::Forms::ComboBoxStyle::DropDownList;
			this->comboBox3->ItemHeight = 12;
			System::Object* __mcTemp__53[] = new System::Object*[10];
			__mcTemp__53[0] = S"普通";
			__mcTemp__53[1] = S"一級稀有";
			__mcTemp__53[2] = S"二級稀有";
			__mcTemp__53[3] = S"三級稀有";
			__mcTemp__53[4] = S"四級稀有";
			__mcTemp__53[5] = S"五級稀有";
			__mcTemp__53[6] = S"六級稀有";
			__mcTemp__53[7] = S"七級稀有";
			__mcTemp__53[8] = S"八級稀有";
			__mcTemp__53[9] = S"九級稀有";
			this->comboBox3->Items->AddRange(__mcTemp__53);
			this->comboBox3->Location = System::Drawing::Point(56, 69);
			this->comboBox3->Name = S"comboBox3";
			this->comboBox3->Size = System::Drawing::Size(151, 20);
			this->comboBox3->TabIndex = 123;
			this->comboBox3->Tag = S"Rare";
			this->comboBox3->SelectedIndexChanged += new System::EventHandler(this, &RuneForm::GetIndex_SelectedIndexChanged);
			// 
			// comboBox9
			// 
			this->comboBox9->ItemHeight = 12;
			System::Object* __mcTemp__54[] = new System::Object*[14];
			__mcTemp__54[0] = S"1";
			__mcTemp__54[1] = S"5";
			__mcTemp__54[2] = S"10";
			__mcTemp__54[3] = S"15";
			__mcTemp__54[4] = S"20";
			__mcTemp__54[5] = S"25";
			__mcTemp__54[6] = S"30";
			__mcTemp__54[7] = S"35";
			__mcTemp__54[8] = S"40";
			__mcTemp__54[9] = S"50";
			__mcTemp__54[10] = S"60";
			__mcTemp__54[11] = S"70";
			__mcTemp__54[12] = S"80";
			__mcTemp__54[13] = S"90";
			this->comboBox9->Items->AddRange(__mcTemp__54);
			this->comboBox9->Location = System::Drawing::Point(56, 40);
			this->comboBox9->Name = S"comboBox9";
			this->comboBox9->Size = System::Drawing::Size(72, 20);
			this->comboBox9->TabIndex = 131;
			this->comboBox9->Tag = S"Level";
			this->comboBox9->TextChanged += new System::EventHandler(this, &RuneForm::GetIntValue_TextChanged);
			// 
			// label2
			// 
			this->label2->AutoSize = true;
			this->label2->Font = (new System::Drawing::Font(S"PMingLiU", 9, System::Drawing::FontStyle::Bold, System::Drawing::GraphicsUnit::Point, 
				(System::Byte)136));
			this->label2->ForeColor = System::Drawing::SystemColors::ActiveCaption;
			this->label2->Location = System::Drawing::Point(15, 43);
			this->label2->Name = S"label2";
			this->label2->Size = System::Drawing::Size(31, 12);
			this->label2->TabIndex = 130;
			this->label2->Text = S"等級";
			// 
			// comboBox1
			// 
			this->comboBox1->DropDownStyle = System::Windows::Forms::ComboBoxStyle::DropDownList;
			this->comboBox1->ItemHeight = 12;
			System::Object* __mcTemp__55[] = new System::Object*[11];
			__mcTemp__55[0] = S"生產符文";
			__mcTemp__55[1] = S"武器符文";
			__mcTemp__55[2] = S"防具符文";
			__mcTemp__55[3] = S"頭部符文";
			__mcTemp__55[4] = S"上身符文";
			__mcTemp__55[5] = S"下身符文";
			__mcTemp__55[6] = S"特殊符文";
			__mcTemp__55[7] = S"飾品符文";
			__mcTemp__55[8] = S"盾符文";
			__mcTemp__55[9] = S"法器符文";
			__mcTemp__55[10] = S"雕文系統符文";
			this->comboBox1->Items->AddRange(__mcTemp__55);
			this->comboBox1->Location = System::Drawing::Point(56, 14);
			this->comboBox1->Name = S"comboBox1";
			this->comboBox1->Size = System::Drawing::Size(72, 20);
			this->comboBox1->TabIndex = 127;
			this->comboBox1->Tag = S"Type";
			this->comboBox1->SelectedIndexChanged += new System::EventHandler(this, &RuneForm::GetIndex_SelectedIndexChanged);
			// 
			// RuneForm
			// 
			this->AutoScaleBaseSize = System::Drawing::Size(5, 15);
			this->ClientSize = System::Drawing::Size(823, 750);
			this->Controls->Add(this->panel1);
			this->Name = S"RuneForm";
			this->Text = S"RuneForm";
			this->panel1->ResumeLayout(false);
			this->panel1->PerformLayout();
			this->groupBox5->ResumeLayout(false);
			this->groupBox7->ResumeLayout(false);
			this->groupBox6->ResumeLayout(false);
			this->groupBox8->ResumeLayout(false);
			this->groupBox1->ResumeLayout(false);
			this->groupBox1->PerformLayout();
			this->tabControl1->ResumeLayout(false);
			this->tabPage1->ResumeLayout(false);
			(__try_cast<System::ComponentModel::ISupportInitialize*  >(this->numericUpDown32))->EndInit();
			(__try_cast<System::ComponentModel::ISupportInitialize*  >(this->numericUpDown33))->EndInit();
			(__try_cast<System::ComponentModel::ISupportInitialize*  >(this->numericUpDown36))->EndInit();
			(__try_cast<System::ComponentModel::ISupportInitialize*  >(this->numericUpDown34))->EndInit();
			(__try_cast<System::ComponentModel::ISupportInitialize*  >(this->numericUpDown35))->EndInit();
			this->tabPage2->ResumeLayout(false);
			this->tabPage2->PerformLayout();
			(__try_cast<System::ComponentModel::ISupportInitialize*  >(this->NUD_Ability1))->EndInit();
			(__try_cast<System::ComponentModel::ISupportInitialize*  >(this->NUD_Ability2))->EndInit();
			(__try_cast<System::ComponentModel::ISupportInitialize*  >(this->NUD_Ability5))->EndInit();
			(__try_cast<System::ComponentModel::ISupportInitialize*  >(this->NUD_Ability3))->EndInit();
			(__try_cast<System::ComponentModel::ISupportInitialize*  >(this->NUD_Ability4))->EndInit();
			this->groupBox4->ResumeLayout(false);
			this->groupBox4->PerformLayout();
			this->groupBox9->ResumeLayout(false);
			this->groupBox9->PerformLayout();
			this->groupBox3->ResumeLayout(false);
			this->groupBox3->PerformLayout();
			this->ResumeLayout(false);

		}		

#ifndef _Just_Show_DotNet_Form_
    private:
        System::Void GetStr_TextChanged(System::Object *  sender, System::EventArgs *  e);
        System::Void GetValue_ValueChanged(System::Object *  sender, System::EventArgs *  e);
        System::Void ChangeFlag(System::Object *  sender, System::EventArgs *  e);
		System::Void GetIndex_SelectedIndexChanged(System::Object *  sender, System::EventArgs *  e);
		System::Void GetItemKey_SelectedIndexChanged(System::Object *  sender, System::EventArgs *  e);
        System::Void GetIntValue_TextChanged(System::Object *  sender, System::EventArgs *  e);
        System::Void BaseForm_Closing(System::Object *  sender, System::ComponentModel::CancelEventArgs *  e);
        System::Void SearchObj_DClick(System::Object *  sender, System::EventArgs *  e);
		System::Void Select_Ability_Click(System::Object*  sender, System::EventArgs*  e);
		System::Void GetValue_CheckChanged(System::Object*  sender, System::EventArgs*  e);
		System::Void GetFloatValue_TextChanged(System::Object*  sender, System::EventArgs*  e);
#endif
        //######################################################################################################
    protected:
        //主要需要繼承的涵式
        virtual ReaderClass< DB_GameObjDbStruct >* ObjReader( );       
        virtual void    OnActive();
        virtual void    OnSelectObj( bool LockOk );
        //輸出時額外設定
        virtual void    OnOutputObjSetting( DB_GameObjDbStruct* TempObj );
        virtual void    OnTimeProc();
        virtual int     ObjSize();
        virtual void    OnValueChange( );
        //######################################################################################################
		bool _IsValueChange;
		
private: System::Void SetArmorClick(System::Object*  sender, System::EventArgs*  e);
private: System::Void SetWeaponClick(System::Object*  sender, System::EventArgs*  e);
private: System::Void AbilityType_SelectedIndexChange(System::Object*  sender, System::EventArgs*  e);

};
}